summaryrefslogtreecommitdiffstats
path: root/logwatch
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-01-20 22:04:44 +0000
committer Eric Hameleers <alien@slackware.com>2017-01-20 22:04:44 +0000
commitaa4ab8d042a2f67ce09d9057a2eb27e2352c4464 (patch)
tree86d131d807ff6baee475dc4b3efef2a48ee36e17 /logwatch
parent3a4fa2c1025fadc332c62ae9892aad6e7ad41497 (diff)
downloadasb-aa4ab8d042a2f67ce09d9057a2eb27e2352c4464.tar.gz
asb-aa4ab8d042a2f67ce09d9057a2eb27e2352c4464.tar.xz
logwatch: updated to 7.4.3.
Diffstat (limited to 'logwatch')
-rwxr-xr-xlogwatch/build/logwatch.SlackBuild22
1 files changed, 17 insertions, 5 deletions
diff --git a/logwatch/build/logwatch.SlackBuild b/logwatch/build/logwatch.SlackBuild
index cca96ef1..a3dfb52d 100755
--- a/logwatch/build/logwatch.SlackBuild
+++ b/logwatch/build/logwatch.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2010, 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011, 2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -38,6 +38,8 @@
# * Update for Slackware 13.1.
# 7.4.0-1: 10/aug/2011 by Eric Hameleers <alien@slackware.com>
# * Update for Slackware 13.37.
+# 7.4.3-1: 20/jan/2017 by Eric Hameleers <alien@slackware.com>
+# * Update for Slackware 14.2.
#
# Run 'sh logwatch.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -48,13 +50,12 @@
# Set initial variables:
PRGNAM=logwatch
-VERSION=${VERSION:-7.4.0}
+VERSION=${VERSION:-7.4.3}
BUILD=${BUILD:-1}
ARCH=noarch
TAG=${TAG:-alien}
-DOCS="HOWTO-Customize-LogWatch License README \
- project/BUILD_README project/CHANGES project/TODO"
+DOCS="HOWTO-Customize-LogWatch LICENSE README"
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
@@ -105,7 +106,7 @@ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL[$i]}" == "x" ]; then
echo "Will download file to $(dirname $SOURCE[$i])"
- wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
@@ -138,6 +139,10 @@ chown -R root:root *
chmod -R u+w,go+r-w,a+X-s *
cd ${PRGNAM}-${VERSION}
+# Add support for .xz compressed archives:
+cat $SRCDIR/patches/logwatch.xz-support.patch |patch -p0 --verbose \
+ 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+
echo Building ...
# Install the scripts, configuration files to their proper locations:
@@ -175,6 +180,13 @@ install -m 0644 conf/html/* $PKG/usr/share/logwatch/default.conf/html
install -m 0755 -d $PKG/usr/man/man8
install -m 0644 logwatch.8 $PKG/usr/man/man8
+install -m 0755 -d $PKG/usr/man/man5
+install -m 0644 ignore.conf.5 $PKG/usr/man/man5
+install -m 0644 logwatch.conf.5 $PKG/usr/man/man5
+install -m 0644 override.conf.5 $PKG/usr/man/man5
+install -m 0755 -d $PKG/usr/man/man1
+install -m 0644 amavis-logwatch.1 $PKG/usr/man/man1
+install -m 0644 postfix-logwatch.1 $PKG/usr/man/man1
rm -f $PKG/etc/cron.daily/logwatch $PKG/usr/sbin/logwatch